import {
  Actions,
  ActionType,
} from '../../entity/member/member.action';

import {
  State,
  initialState,
} from './signout.state';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.Signout: {
      return {
        pending: true,
      };
    }

    case ActionType.SignoutSuccess: {
      return {
        pending: false,
      };
    }

    case ActionType.SignoutFailure: {
      return {
        pending: false,
      };
    }

    default: {
      return state;
    }
  }
}
