import {
  Actions,
  ActionType,
} from '../../entity/member/member.action';

import {
  State,
  initialState,
} from './signin.state';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.Signin: {
      return {
        pending: true,
      };
    }

    case ActionType.SigninSuccess: {
      const domainMember = action.payload.domainMember;
      return {
        pending: false,
      };
    }

    case ActionType.SigninFailure: {
      return {
        pending: false,
      };
    }

    case ActionType.SigninCookieSuccess: {
      return {
        pending: false,
      };
    }

    case ActionType.SigninCookieFailure: {
      return {
        pending: false,
      };
    }

    default: {
      return state;
    }
  }
}
