import {
  Actions,
  ActionType,
} from '../../entity/member/member.action';

import {
  State,
  initialState,
} from './signup.state';

export function reducer(state = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.Signup: {
      return {
        pending: true,
      };
    }

    case ActionType.SignupSuccess: {
      return {
        pending: false,
      };
    }

    case ActionType.SignupFailure: {
      return {
        pending: false,
      };
    }

    default: {
      return state;
    }
  }
}
